/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workclientinfo.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.workbidproject.entity.WorkBidProject;
import com.jeeplus.modules.workclientinfo.entity.WorkClientLinkman;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 客户管理DAO接口
 * @author 丁旭
 * @version 2017-03-20
 */
@MyBatisDao
public interface WorkClientLinkmanDao extends CrudDao<WorkClientLinkman> {
    public WorkClientLinkman findByClientProject(WorkClientLinkman workClientLinkman);

    public List<WorkClientLinkman> findByClient(WorkClientLinkman workClientLinkman);

    public List<WorkClientLinkman> findListByProjectId(WorkClientLinkman workClientLinkman);

    public int insertProject(WorkClientLinkman workClientLinkman);
    public int deleteProjectClient(WorkBidProject workBidProject);

    List<WorkClientLinkman> findByClientId(String clientId);

    List<String> queryLinkmanOfProjectClient(WorkBidProject workBidProject);

    List<WorkClientLinkman> queryProjectLinkmans(@Param("projectId") String projectId, @Param("isEntrust") int i);

    WorkClientLinkman queryLinkManByClientId(String id);

    /**
     * 无合同状态下，添加委托方联系人，查询该公司下所有客户
     * @param workClientLinkman
     * @return
     */
    List<WorkClientLinkman> queryLinkManByCompany(WorkClientLinkman workClientLinkman);
}